Page MenuHomePhabricator

NWE should append an empty line when starting editing
Closed, ResolvedPublic1 Story Points

Description

OWE adds an empty line at the end of the content when you start editing. This means that you can press Ctrl-End to move the cursor to the end and start in a new line below the old content immediately. This is especially useful on talk pages, where you want to put your answer below the original content.
NWE should do the same. Currently, Ctrl-End takes you to the end of the last line, you have to enter a newline yourself to start a new line.

Event Timeline

Schnark created this task.Jan 30 2017, 7:56 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 30 2017, 7:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Assuming that it (or something) would also strip blank lines out of the end when the page is saved (to avoid the problem of editing the middle of the page or section 10 times and getting 10 blank lines at the end), then I think that this is a good idea. It would certainly make replying on talk pages faster and easier.

Jdforrester-WMF triaged this task as Normal priority.Feb 14 2017, 7:21 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 360593 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Add newline to end of wikitext documents

https://gerrit.wikimedia.org/r/360593

Jdforrester-WMF closed this task as Resolved.Jun 21 2017, 12:56 AM
Jdforrester-WMF assigned this task to Esanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 21 2017, 12:56 AM

Change 360593 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Add newline to end of wikitext documents

https://gerrit.wikimedia.org/r/360593